module subsys_dp_aux_fifo (
		input  wire        wrclock,                         //   clk_in.clk
		input  wire        avalonst_sink_valid,             //       in.valid
		input  wire [31:0] avalonst_sink_data,              //         .data
		input  wire        avalonst_sink_channel,           //         .channel
		input  wire        avalonst_sink_error,             //         .error
		input  wire        avalonst_sink_startofpacket,     //         .startofpacket
		input  wire        avalonst_sink_endofpacket,       //         .endofpacket
		output wire        avalonst_sink_ready,             //         .ready
		input  wire [2:0]  wrclk_control_slave_address,     //   in_csr.address
		input  wire        wrclk_control_slave_read,        //         .read
		input  wire [31:0] wrclk_control_slave_writedata,   //         .writedata
		input  wire        wrclk_control_slave_write,       //         .write
		output wire [31:0] wrclk_control_slave_readdata,    //         .readdata
		output wire        wrclk_control_slave_irq,         //   in_irq.irq
		output wire [31:0] avalonmm_read_slave_readdata,    //      out.readdata
		input  wire        avalonmm_read_slave_read,        //         .read
		input  wire        avalonmm_read_slave_address,     //         .address
		output wire        avalonmm_read_slave_waitrequest, //         .waitrequest
		input  wire        reset_n                          // reset_in.reset_n
	);
endmodule

