module subsys_dp_a10_xcvr (
		input  wire         reconfig_write_ch0,       //       reconfig_avmm_ch0.write
		input  wire         reconfig_read_ch0,        //                        .read
		input  wire [11:0]  reconfig_address_ch0,     //                        .address
		input  wire [31:0]  reconfig_writedata_ch0,   //                        .writedata
		output wire [31:0]  reconfig_readdata_ch0,    //                        .readdata
		output wire         reconfig_waitrequest_ch0, //                        .waitrequest
		input  wire         reconfig_clk_ch0,         //        reconfig_clk_ch0.clk
		input  wire         reconfig_reset_ch0,       //      reconfig_reset_ch0.reset
		output wire         tx_analogreset_ack_ch0,   //  tx_analogreset_ack_ch0.tx_analogreset_ack
		output wire         tx_analogreset_ack_ch1,   //  tx_analogreset_ack_ch1.tx_analogreset_ack
		output wire         tx_analogreset_ack_ch2,   //  tx_analogreset_ack_ch2.tx_analogreset_ack
		output wire         tx_analogreset_ack_ch3,   //  tx_analogreset_ack_ch3.tx_analogreset_ack
		input  wire         tx_analogreset_ch0,       //      tx_analogreset_ch0.tx_analogreset
		input  wire         tx_analogreset_ch1,       //      tx_analogreset_ch1.tx_analogreset
		input  wire         tx_analogreset_ch2,       //      tx_analogreset_ch2.tx_analogreset
		input  wire         tx_analogreset_ch3,       //      tx_analogreset_ch3.tx_analogreset
		input  wire [5:0]   tx_bonding_clocks_ch0,    //   tx_bonding_clocks_ch0.clk
		input  wire [5:0]   tx_bonding_clocks_ch1,    //   tx_bonding_clocks_ch1.clk
		input  wire [5:0]   tx_bonding_clocks_ch2,    //   tx_bonding_clocks_ch2.clk
		input  wire [5:0]   tx_bonding_clocks_ch3,    //   tx_bonding_clocks_ch3.clk
		output wire         tx_cal_busy_ch0,          //         tx_cal_busy_ch0.tx_cal_busy
		output wire         tx_cal_busy_ch1,          //         tx_cal_busy_ch1.tx_cal_busy
		output wire         tx_cal_busy_ch2,          //         tx_cal_busy_ch2.tx_cal_busy
		output wire         tx_cal_busy_ch3,          //         tx_cal_busy_ch3.tx_cal_busy
		output wire         tx_clkout_ch0,            //           tx_clkout_ch0.clk
		output wire         tx_clkout_ch1,            //           tx_clkout_ch1.clk
		output wire         tx_clkout_ch2,            //           tx_clkout_ch2.clk
		output wire         tx_clkout_ch3,            //           tx_clkout_ch3.clk
		input  wire         tx_coreclkin_ch0,         //        tx_coreclkin_ch0.clk
		input  wire         tx_coreclkin_ch1,         //        tx_coreclkin_ch1.clk
		input  wire         tx_coreclkin_ch2,         //        tx_coreclkin_ch2.clk
		input  wire         tx_coreclkin_ch3,         //        tx_coreclkin_ch3.clk
		input  wire         tx_digitalreset_ch0,      //     tx_digitalreset_ch0.tx_digitalreset
		input  wire         tx_digitalreset_ch1,      //     tx_digitalreset_ch1.tx_digitalreset
		input  wire         tx_digitalreset_ch2,      //     tx_digitalreset_ch2.tx_digitalreset
		input  wire         tx_digitalreset_ch3,      //     tx_digitalreset_ch3.tx_digitalreset
		input  wire [39:0]  tx_parallel_data_ch0,     //    tx_parallel_data_ch0.tx_parallel_data
		input  wire [39:0]  tx_parallel_data_ch1,     //    tx_parallel_data_ch1.tx_parallel_data
		input  wire [39:0]  tx_parallel_data_ch2,     //    tx_parallel_data_ch2.tx_parallel_data
		input  wire [39:0]  tx_parallel_data_ch3,     //    tx_parallel_data_ch3.tx_parallel_data
		input  wire         tx_polinv_ch0,            //           tx_polinv_ch0.tx_polinv
		input  wire         tx_polinv_ch1,            //           tx_polinv_ch1.tx_polinv
		input  wire         tx_polinv_ch2,            //           tx_polinv_ch2.tx_polinv
		input  wire         tx_polinv_ch3,            //           tx_polinv_ch3.tx_polinv
		output wire         tx_serial_data_ch0,       //      tx_serial_data_ch0.tx_serial_data
		output wire         tx_serial_data_ch1,       //      tx_serial_data_ch1.tx_serial_data
		output wire         tx_serial_data_ch2,       //      tx_serial_data_ch2.tx_serial_data
		output wire         tx_serial_data_ch3,       //      tx_serial_data_ch3.tx_serial_data
		input  wire [351:0] unused_tx_parallel_data   // unused_tx_parallel_data.unused_tx_parallel_data
	);
endmodule

