// subsys_dp_aux_fifo.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module subsys_dp_aux_fifo (
		input  wire        wrclock,                         //   clk_in.clk
		input  wire        avalonst_sink_valid,             //       in.valid
		input  wire [31:0] avalonst_sink_data,              //         .data
		input  wire        avalonst_sink_channel,           //         .channel
		input  wire        avalonst_sink_error,             //         .error
		input  wire        avalonst_sink_startofpacket,     //         .startofpacket
		input  wire        avalonst_sink_endofpacket,       //         .endofpacket
		output wire        avalonst_sink_ready,             //         .ready
		input  wire [2:0]  wrclk_control_slave_address,     //   in_csr.address
		input  wire        wrclk_control_slave_read,        //         .read
		input  wire [31:0] wrclk_control_slave_writedata,   //         .writedata
		input  wire        wrclk_control_slave_write,       //         .write
		output wire [31:0] wrclk_control_slave_readdata,    //         .readdata
		output wire        wrclk_control_slave_irq,         //   in_irq.irq
		output wire [31:0] avalonmm_read_slave_readdata,    //      out.readdata
		input  wire        avalonmm_read_slave_read,        //         .read
		input  wire        avalonmm_read_slave_address,     //         .address
		output wire        avalonmm_read_slave_waitrequest, //         .waitrequest
		input  wire        reset_n                          // reset_in.reset_n
	);

	subsys_dp_aux_fifo_altera_avalon_fifo_171_7mnighi aux_fifo (
		.wrclock                         (wrclock),                         //   input,   width = 1,   clk_in.clk
		.reset_n                         (reset_n),                         //   input,   width = 1, reset_in.reset_n
		.avalonst_sink_valid             (avalonst_sink_valid),             //   input,   width = 1,       in.valid
		.avalonst_sink_data              (avalonst_sink_data),              //   input,  width = 32,         .data
		.avalonst_sink_channel           (avalonst_sink_channel),           //   input,   width = 1,         .channel
		.avalonst_sink_error             (avalonst_sink_error),             //   input,   width = 1,         .error
		.avalonst_sink_startofpacket     (avalonst_sink_startofpacket),     //   input,   width = 1,         .startofpacket
		.avalonst_sink_endofpacket       (avalonst_sink_endofpacket),       //   input,   width = 1,         .endofpacket
		.avalonst_sink_ready             (avalonst_sink_ready),             //  output,   width = 1,         .ready
		.avalonmm_read_slave_readdata    (avalonmm_read_slave_readdata),    //  output,  width = 32,      out.readdata
		.avalonmm_read_slave_read        (avalonmm_read_slave_read),        //   input,   width = 1,         .read
		.avalonmm_read_slave_address     (avalonmm_read_slave_address),     //   input,   width = 1,         .address
		.avalonmm_read_slave_waitrequest (avalonmm_read_slave_waitrequest), //  output,   width = 1,         .waitrequest
		.wrclk_control_slave_address     (wrclk_control_slave_address),     //   input,   width = 3,   in_csr.address
		.wrclk_control_slave_read        (wrclk_control_slave_read),        //   input,   width = 1,         .read
		.wrclk_control_slave_writedata   (wrclk_control_slave_writedata),   //   input,  width = 32,         .writedata
		.wrclk_control_slave_write       (wrclk_control_slave_write),       //   input,   width = 1,         .write
		.wrclk_control_slave_readdata    (wrclk_control_slave_readdata),    //  output,  width = 32,         .readdata
		.wrclk_control_slave_irq         (wrclk_control_slave_irq)          //  output,   width = 1,   in_irq.irq
	);

endmodule
