	subsys_dp_bitec_dp_0 #(
		.TX_SUPPORT_GTC            (INTEGER_VALUE_FOR_TX_SUPPORT_GTC),
		.TX_SUPPORT_18BPP          (INTEGER_VALUE_FOR_TX_SUPPORT_18BPP),
		.TX_SUPPORT_24BPP          (INTEGER_VALUE_FOR_TX_SUPPORT_24BPP),
		.TX_SUPPORT_30BPP          (INTEGER_VALUE_FOR_TX_SUPPORT_30BPP),
		.TX_SUPPORT_36BPP          (INTEGER_VALUE_FOR_TX_SUPPORT_36BPP),
		.TX_SUPPORT_48BPP          (INTEGER_VALUE_FOR_TX_SUPPORT_48BPP),
		.TX_SUPPORT_YCBCR422_16BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_16BPP),
		.TX_SUPPORT_YCBCR422_20BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_20BPP),
		.TX_SUPPORT_YCBCR422_24BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_24BPP),
		.TX_SUPPORT_YCBCR422_32BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR422_32BPP),
		.TX_SUPPORT_YCBCR420_12BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_12BPP),
		.TX_SUPPORT_YCBCR420_15BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_15BPP),
		.TX_SUPPORT_YCBCR420_18BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_18BPP),
		.TX_SUPPORT_YCBCR420_24BPP (INTEGER_VALUE_FOR_TX_SUPPORT_YCBCR420_24BPP),
		.TX_SUPPORT_DP             (INTEGER_VALUE_FOR_TX_SUPPORT_DP),
		.RX_SUPPORT_GTC            (INTEGER_VALUE_FOR_RX_SUPPORT_GTC),
		.RX_SUPPORT_EDP            (INTEGER_VALUE_FOR_RX_SUPPORT_EDP),
		.RX_SUPPORT_18BPP          (INTEGER_VALUE_FOR_RX_SUPPORT_18BPP),
		.RX_SUPPORT_24BPP          (INTEGER_VALUE_FOR_RX_SUPPORT_24BPP),
		.RX_SUPPORT_30BPP          (INTEGER_VALUE_FOR_RX_SUPPORT_30BPP),
		.RX_SUPPORT_36BPP          (INTEGER_VALUE_FOR_RX_SUPPORT_36BPP),
		.RX_SUPPORT_48BPP          (INTEGER_VALUE_FOR_RX_SUPPORT_48BPP),
		.RX_SUPPORT_YCBCR422_16BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_16BPP),
		.RX_SUPPORT_YCBCR422_20BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_20BPP),
		.RX_SUPPORT_YCBCR422_24BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_24BPP),
		.RX_SUPPORT_YCBCR422_32BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR422_32BPP),
		.RX_SUPPORT_YCBCR420_12BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_12BPP),
		.RX_SUPPORT_YCBCR420_15BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_15BPP),
		.RX_SUPPORT_YCBCR420_18BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_18BPP),
		.RX_SUPPORT_YCBCR420_24BPP (INTEGER_VALUE_FOR_RX_SUPPORT_YCBCR420_24BPP),
		.RX_SUPPORT_DP             (INTEGER_VALUE_FOR_RX_SUPPORT_DP)
	) u0 (
		.aux_clk                 (_connected_to_aux_clk_),                 //   input,    width = 1,            aux_clk.clk
		.aux_reset               (_connected_to_aux_reset_),               //   input,    width = 1,          aux_reset.reset
		.clk                     (_connected_to_clk_),                     //   input,    width = 1,                clk.clk
		.clk_cal                 (_connected_to_clk_cal_),                 //   input,    width = 1,            clk_cal.clk
		.reset                   (_connected_to_reset_),                   //   input,    width = 1,              reset.reset
		.rx_analog_reconfig_req  (_connected_to_rx_analog_reconfig_req_),  //  output,    width = 1, rx_analog_reconfig.rx_analog_reconfig_req
		.rx_vod                  (_connected_to_rx_vod_),                  //  output,    width = 8,                   .rx_vod
		.rx_emp                  (_connected_to_rx_emp_),                  //  output,    width = 8,                   .rx_emp
		.tx_analog_reconfig_req  (_connected_to_tx_analog_reconfig_req_),  //  output,    width = 1, tx_analog_reconfig.tx_analog_reconfig_req
		.tx_analog_reconfig_ack  (_connected_to_tx_analog_reconfig_ack_),  //   input,    width = 1,                   .tx_analog_reconfig_ack
		.tx_analog_reconfig_busy (_connected_to_tx_analog_reconfig_busy_), //   input,    width = 1,                   .tx_analog_reconfig_busy
		.tx_vod                  (_connected_to_tx_vod_),                  //  output,    width = 8,                   .tx_vod
		.tx_emp                  (_connected_to_tx_emp_),                  //  output,    width = 8,                   .tx_emp
		.tx_aux_in               (_connected_to_tx_aux_in_),               //   input,    width = 1,             tx_aux.tx_aux_in
		.tx_aux_out              (_connected_to_tx_aux_out_),              //  output,    width = 1,                   .tx_aux_out
		.tx_aux_oe               (_connected_to_tx_aux_oe_),               //  output,    width = 1,                   .tx_aux_oe
		.tx_hpd                  (_connected_to_tx_hpd_),                  //   input,    width = 1,                   .tx_hpd
		.tx_aux_debug_data       (_connected_to_tx_aux_debug_data_),       //  output,   width = 32,       tx_aux_debug.data
		.tx_aux_debug_valid      (_connected_to_tx_aux_debug_valid_),      //  output,    width = 1,                   .valid
		.tx_aux_debug_sop        (_connected_to_tx_aux_debug_sop_),        //  output,    width = 1,                   .startofpacket
		.tx_aux_debug_eop        (_connected_to_tx_aux_debug_eop_),        //  output,    width = 1,                   .endofpacket
		.tx_aux_debug_err        (_connected_to_tx_aux_debug_err_),        //  output,    width = 1,                   .error
		.tx_aux_debug_cha        (_connected_to_tx_aux_debug_cha_),        //  output,    width = 1,                   .channel
		.tx_mgmt_address         (_connected_to_tx_mgmt_address_),         //   input,    width = 9,            tx_mgmt.address
		.tx_mgmt_chipselect      (_connected_to_tx_mgmt_chipselect_),      //   input,    width = 1,                   .chipselect
		.tx_mgmt_read            (_connected_to_tx_mgmt_read_),            //   input,    width = 1,                   .read
		.tx_mgmt_write           (_connected_to_tx_mgmt_write_),           //   input,    width = 1,                   .write
		.tx_mgmt_writedata       (_connected_to_tx_mgmt_writedata_),       //   input,   width = 32,                   .writedata
		.tx_mgmt_readdata        (_connected_to_tx_mgmt_readdata_),        //  output,   width = 32,                   .readdata
		.tx_mgmt_waitrequest     (_connected_to_tx_mgmt_waitrequest_),     //  output,    width = 1,                   .waitrequest
		.tx_mgmt_irq             (_connected_to_tx_mgmt_irq_),             //  output,    width = 1,  tx_mgmt_interrupt.irq
		.tx_link_rate            (_connected_to_tx_link_rate_),            //  output,    width = 2,        tx_reconfig.tx_link_rate
		.tx_link_rate_8bits      (_connected_to_tx_link_rate_8bits_),      //  output,    width = 8,                   .tx_link_rate_8bits
		.tx_reconfig_req         (_connected_to_tx_reconfig_req_),         //  output,    width = 1,                   .tx_reconfig_req
		.tx_reconfig_ack         (_connected_to_tx_reconfig_ack_),         //   input,    width = 1,                   .tx_reconfig_ack
		.tx_reconfig_busy        (_connected_to_tx_reconfig_busy_),        //   input,    width = 1,                   .tx_reconfig_busy
		.tx_vid_clk              (_connected_to_tx_vid_clk_),              //   input,    width = 1,         tx_vid_clk.clk
		.tx_vid_data             (_connected_to_tx_vid_data_),             //   input,   width = 24,        tx_video_in.tx_vid_data
		.tx_vid_v_sync           (_connected_to_tx_vid_v_sync_),           //   input,    width = 1,                   .tx_vid_v_sync
		.tx_vid_h_sync           (_connected_to_tx_vid_h_sync_),           //   input,    width = 1,                   .tx_vid_h_sync
		.tx_vid_de               (_connected_to_tx_vid_de_),               //   input,    width = 1,                   .tx_vid_de
		.tx_parallel_data        (_connected_to_tx_parallel_data_),        //  output,  width = 160,  tx_xcvr_interface.tx_parallel_data
		.tx_pll_powerdown        (_connected_to_tx_pll_powerdown_),        //  output,    width = 1,                   .tx_pll_powerdown
		.tx_analogreset          (_connected_to_tx_analogreset_),          //  output,    width = 4,                   .tx_analogreset
		.tx_digitalreset         (_connected_to_tx_digitalreset_),         //  output,    width = 4,                   .tx_digitalreset
		.tx_cal_busy             (_connected_to_tx_cal_busy_),             //   input,    width = 4,                   .tx_cal_busy
		.tx_std_clkout           (_connected_to_tx_std_clkout_),           //   input,    width = 4,                   .tx_std_clkout
		.tx_pll_locked           (_connected_to_tx_pll_locked_),           //   input,    width = 1,                   .tx_pll_locked
		.xcvr_mgmt_clk           (_connected_to_xcvr_mgmt_clk_)            //   input,    width = 1,      xcvr_mgmt_clk.clk
	);

