// subsys_dp_bitec_dp_0.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module subsys_dp_bitec_dp_0 #(
		parameter TX_SUPPORT_GTC            = 0,
		parameter TX_SUPPORT_18BPP          = 1,
		parameter TX_SUPPORT_24BPP          = 1,
		parameter TX_SUPPORT_30BPP          = 0,
		parameter TX_SUPPORT_36BPP          = 0,
		parameter TX_SUPPORT_48BPP          = 0,
		parameter TX_SUPPORT_YCBCR422_16BPP = 1,
		parameter TX_SUPPORT_YCBCR422_20BPP = 0,
		parameter TX_SUPPORT_YCBCR422_24BPP = 0,
		parameter TX_SUPPORT_YCBCR422_32BPP = 0,
		parameter TX_SUPPORT_YCBCR420_12BPP = 1,
		parameter TX_SUPPORT_YCBCR420_15BPP = 0,
		parameter TX_SUPPORT_YCBCR420_18BPP = 0,
		parameter TX_SUPPORT_YCBCR420_24BPP = 0,
		parameter TX_SUPPORT_DP             = 1,
		parameter RX_SUPPORT_GTC            = 0,
		parameter RX_SUPPORT_EDP            = 0,
		parameter RX_SUPPORT_18BPP          = 1,
		parameter RX_SUPPORT_24BPP          = 1,
		parameter RX_SUPPORT_30BPP          = 0,
		parameter RX_SUPPORT_36BPP          = 0,
		parameter RX_SUPPORT_48BPP          = 0,
		parameter RX_SUPPORT_YCBCR422_16BPP = 0,
		parameter RX_SUPPORT_YCBCR422_20BPP = 0,
		parameter RX_SUPPORT_YCBCR422_24BPP = 0,
		parameter RX_SUPPORT_YCBCR422_32BPP = 0,
		parameter RX_SUPPORT_YCBCR420_12BPP = 0,
		parameter RX_SUPPORT_YCBCR420_15BPP = 0,
		parameter RX_SUPPORT_YCBCR420_18BPP = 0,
		parameter RX_SUPPORT_YCBCR420_24BPP = 0,
		parameter RX_SUPPORT_DP             = 0
	) (
		input  wire         aux_clk,                 //            aux_clk.clk
		input  wire         aux_reset,               //          aux_reset.reset
		input  wire         clk,                     //                clk.clk
		input  wire         clk_cal,                 //            clk_cal.clk
		input  wire         reset,                   //              reset.reset
		output wire         rx_analog_reconfig_req,  // rx_analog_reconfig.rx_analog_reconfig_req
		output wire [7:0]   rx_vod,                  //                   .rx_vod
		output wire [7:0]   rx_emp,                  //                   .rx_emp
		output wire         tx_analog_reconfig_req,  // tx_analog_reconfig.tx_analog_reconfig_req
		input  wire         tx_analog_reconfig_ack,  //                   .tx_analog_reconfig_ack
		input  wire         tx_analog_reconfig_busy, //                   .tx_analog_reconfig_busy
		output wire [7:0]   tx_vod,                  //                   .tx_vod
		output wire [7:0]   tx_emp,                  //                   .tx_emp
		input  wire         tx_aux_in,               //             tx_aux.tx_aux_in
		output wire         tx_aux_out,              //                   .tx_aux_out
		output wire         tx_aux_oe,               //                   .tx_aux_oe
		input  wire         tx_hpd,                  //                   .tx_hpd
		output wire [31:0]  tx_aux_debug_data,       //       tx_aux_debug.data
		output wire         tx_aux_debug_valid,      //                   .valid
		output wire         tx_aux_debug_sop,        //                   .startofpacket
		output wire         tx_aux_debug_eop,        //                   .endofpacket
		output wire         tx_aux_debug_err,        //                   .error
		output wire         tx_aux_debug_cha,        //                   .channel
		input  wire [8:0]   tx_mgmt_address,         //            tx_mgmt.address
		input  wire         tx_mgmt_chipselect,      //                   .chipselect
		input  wire         tx_mgmt_read,            //                   .read
		input  wire         tx_mgmt_write,           //                   .write
		input  wire [31:0]  tx_mgmt_writedata,       //                   .writedata
		output wire [31:0]  tx_mgmt_readdata,        //                   .readdata
		output wire         tx_mgmt_waitrequest,     //                   .waitrequest
		output wire         tx_mgmt_irq,             //  tx_mgmt_interrupt.irq
		output wire [1:0]   tx_link_rate,            //        tx_reconfig.tx_link_rate
		output wire [7:0]   tx_link_rate_8bits,      //                   .tx_link_rate_8bits
		output wire         tx_reconfig_req,         //                   .tx_reconfig_req
		input  wire         tx_reconfig_ack,         //                   .tx_reconfig_ack
		input  wire         tx_reconfig_busy,        //                   .tx_reconfig_busy
		input  wire         tx_vid_clk,              //         tx_vid_clk.clk
		input  wire [23:0]  tx_vid_data,             //        tx_video_in.tx_vid_data
		input  wire [0:0]   tx_vid_v_sync,           //                   .tx_vid_v_sync
		input  wire [0:0]   tx_vid_h_sync,           //                   .tx_vid_h_sync
		input  wire [0:0]   tx_vid_de,               //                   .tx_vid_de
		output wire [159:0] tx_parallel_data,        //  tx_xcvr_interface.tx_parallel_data
		output wire         tx_pll_powerdown,        //                   .tx_pll_powerdown
		output wire [3:0]   tx_analogreset,          //                   .tx_analogreset
		output wire [3:0]   tx_digitalreset,         //                   .tx_digitalreset
		input  wire [3:0]   tx_cal_busy,             //                   .tx_cal_busy
		input  wire [3:0]   tx_std_clkout,           //                   .tx_std_clkout
		input  wire         tx_pll_locked,           //                   .tx_pll_locked
		input  wire         xcvr_mgmt_clk            //      xcvr_mgmt_clk.clk
	);

	subsys_dp_bitec_dp_0_altera_dp_171_hugtkeq #(
		.device_family              ("Arria 10"),
		.TX_SUPPORT_GTC             (TX_SUPPORT_GTC),
		.TX_SUPPORT_SS              (0),
		.TX_SUPPORT_AUDIO           (0),
		.TX_AUDIO_CHANS             (2),
		.TX_VIDEO_BPS               (8),
		.TX_MAX_LINK_RATE           (20),
		.TX_MAX_LANE_COUNT          (4),
		.TX_SUPPORT_ANALOG_RECONFIG (1),
		.TX_AUX_DEBUG               (1),
		.TX_SCRAMBLER_SEED          (65535),
		.TX_VIDEO_IM_ENABLE         (0),
		.TX_PIXELS_PER_CLOCK        (1),
		.TX_SYMBOLS_PER_CLOCK       (4),
		.TX_SUPPORT_18BPP           (TX_SUPPORT_18BPP),
		.TX_SUPPORT_24BPP           (TX_SUPPORT_24BPP),
		.TX_SUPPORT_30BPP           (TX_SUPPORT_30BPP),
		.TX_SUPPORT_36BPP           (TX_SUPPORT_36BPP),
		.TX_SUPPORT_48BPP           (TX_SUPPORT_48BPP),
		.TX_SUPPORT_YCBCR422_16BPP  (TX_SUPPORT_YCBCR422_16BPP),
		.TX_SUPPORT_YCBCR422_20BPP  (TX_SUPPORT_YCBCR422_20BPP),
		.TX_SUPPORT_YCBCR422_24BPP  (TX_SUPPORT_YCBCR422_24BPP),
		.TX_SUPPORT_YCBCR422_32BPP  (TX_SUPPORT_YCBCR422_32BPP),
		.TX_SUPPORT_YCBCR420_12BPP  (TX_SUPPORT_YCBCR420_12BPP),
		.TX_SUPPORT_YCBCR420_15BPP  (TX_SUPPORT_YCBCR420_15BPP),
		.TX_SUPPORT_YCBCR420_18BPP  (TX_SUPPORT_YCBCR420_18BPP),
		.TX_SUPPORT_YCBCR420_24BPP  (TX_SUPPORT_YCBCR420_24BPP),
		.TX_SUPPORT_DP              (TX_SUPPORT_DP),
		.TX_SUPPORT_AUTOMATED_TEST  (1),
		.TX_SUPPORT_MST             (0),
		.TX_MAX_NUM_OF_STREAMS      (1),
		.RX_SUPPORT_GTC             (RX_SUPPORT_GTC),
		.RX_PIXELS_PER_CLOCK        (1),
		.RX_SYMBOLS_PER_CLOCK       (4),
		.RX_EXPORT_MSA              (1),
		.RX_VIDEO_BPS               (8),
		.RX_SUPPORT_SS              (0),
		.RX_SUPPORT_AUDIO           (0),
		.RX_AUDIO_CHANS             (2),
		.RX_MAX_LINK_RATE           (20),
		.RX_MAX_LANE_COUNT          (4),
		.RX_SCRAMBLER_SEED          (65535),
		.RX_SUPPORT_EDP             (RX_SUPPORT_EDP),
		.RX_SUPPORT_AUTOMATED_TEST  (0),
		.RX_SUPPORT_18BPP           (RX_SUPPORT_18BPP),
		.RX_SUPPORT_24BPP           (RX_SUPPORT_24BPP),
		.RX_SUPPORT_30BPP           (RX_SUPPORT_30BPP),
		.RX_SUPPORT_36BPP           (RX_SUPPORT_36BPP),
		.RX_SUPPORT_48BPP           (RX_SUPPORT_48BPP),
		.RX_SUPPORT_YCBCR422_16BPP  (RX_SUPPORT_YCBCR422_16BPP),
		.RX_SUPPORT_YCBCR422_20BPP  (RX_SUPPORT_YCBCR422_20BPP),
		.RX_SUPPORT_YCBCR422_24BPP  (RX_SUPPORT_YCBCR422_24BPP),
		.RX_SUPPORT_YCBCR422_32BPP  (RX_SUPPORT_YCBCR422_32BPP),
		.RX_SUPPORT_YCBCR420_12BPP  (RX_SUPPORT_YCBCR420_12BPP),
		.RX_SUPPORT_YCBCR420_15BPP  (RX_SUPPORT_YCBCR420_15BPP),
		.RX_SUPPORT_YCBCR420_18BPP  (RX_SUPPORT_YCBCR420_18BPP),
		.RX_SUPPORT_YCBCR420_24BPP  (RX_SUPPORT_YCBCR420_24BPP),
		.RX_SUPPORT_DP              (RX_SUPPORT_DP),
		.RX_AUX_DEBUG               (0),
		.RX_IEEE_OUI                (1),
		.RX_AUX_GPU                 (1),
		.RX_SUPPORT_MST             (0),
		.RX_MAX_NUM_OF_STREAMS      (1)
	) bitec_dp_0 (
		.tx_parallel_data        (tx_parallel_data),                                                                                                                                                      //  output,  width = 160,  tx_xcvr_interface.tx_parallel_data
		.tx_pll_powerdown        (tx_pll_powerdown),                                                                                                                                                      //  output,    width = 1,                   .tx_pll_powerdown
		.tx_analogreset          (tx_analogreset),                                                                                                                                                        //  output,    width = 4,                   .tx_analogreset
		.tx_digitalreset         (tx_digitalreset),                                                                                                                                                       //  output,    width = 4,                   .tx_digitalreset
		.tx_cal_busy             (tx_cal_busy),                                                                                                                                                           //   input,    width = 4,                   .tx_cal_busy
		.tx_std_clkout           (tx_std_clkout),                                                                                                                                                         //   input,    width = 4,                   .tx_std_clkout
		.tx_pll_locked           (tx_pll_locked),                                                                                                                                                         //   input,    width = 1,                   .tx_pll_locked
		.tx_aux_in               (tx_aux_in),                                                                                                                                                             //   input,    width = 1,             tx_aux.tx_aux_in
		.tx_aux_out              (tx_aux_out),                                                                                                                                                            //  output,    width = 1,                   .tx_aux_out
		.tx_aux_oe               (tx_aux_oe),                                                                                                                                                             //  output,    width = 1,                   .tx_aux_oe
		.tx_hpd                  (tx_hpd),                                                                                                                                                                //   input,    width = 1,                   .tx_hpd
		.tx_aux_debug_data       (tx_aux_debug_data),                                                                                                                                                     //  output,   width = 32,       tx_aux_debug.data
		.tx_aux_debug_valid      (tx_aux_debug_valid),                                                                                                                                                    //  output,    width = 1,                   .valid
		.tx_aux_debug_sop        (tx_aux_debug_sop),                                                                                                                                                      //  output,    width = 1,                   .startofpacket
		.tx_aux_debug_eop        (tx_aux_debug_eop),                                                                                                                                                      //  output,    width = 1,                   .endofpacket
		.tx_aux_debug_err        (tx_aux_debug_err),                                                                                                                                                      //  output,    width = 1,                   .error
		.tx_aux_debug_cha        (tx_aux_debug_cha),                                                                                                                                                      //  output,    width = 1,                   .channel
		.tx_vid_clk              (tx_vid_clk),                                                                                                                                                            //   input,    width = 1,         tx_vid_clk.clk
		.tx_vid_data             (tx_vid_data),                                                                                                                                                           //   input,   width = 24,        tx_video_in.tx_vid_data
		.tx_vid_v_sync           (tx_vid_v_sync),                                                                                                                                                         //   input,    width = 1,                   .tx_vid_v_sync
		.tx_vid_h_sync           (tx_vid_h_sync),                                                                                                                                                         //   input,    width = 1,                   .tx_vid_h_sync
		.tx_vid_de               (tx_vid_de),                                                                                                                                                             //   input,    width = 1,                   .tx_vid_de
		.tx_analog_reconfig_req  (tx_analog_reconfig_req),                                                                                                                                                //  output,    width = 1, tx_analog_reconfig.tx_analog_reconfig_req
		.tx_analog_reconfig_ack  (tx_analog_reconfig_ack),                                                                                                                                                //   input,    width = 1,                   .tx_analog_reconfig_ack
		.tx_analog_reconfig_busy (tx_analog_reconfig_busy),                                                                                                                                               //   input,    width = 1,                   .tx_analog_reconfig_busy
		.tx_vod                  (tx_vod),                                                                                                                                                                //  output,    width = 8,                   .tx_vod
		.tx_emp                  (tx_emp),                                                                                                                                                                //  output,    width = 8,                   .tx_emp
		.tx_link_rate            (tx_link_rate),                                                                                                                                                          //  output,    width = 2,        tx_reconfig.tx_link_rate
		.tx_link_rate_8bits      (tx_link_rate_8bits),                                                                                                                                                    //  output,    width = 8,                   .tx_link_rate_8bits
		.tx_reconfig_req         (tx_reconfig_req),                                                                                                                                                       //  output,    width = 1,                   .tx_reconfig_req
		.tx_reconfig_ack         (tx_reconfig_ack),                                                                                                                                                       //   input,    width = 1,                   .tx_reconfig_ack
		.tx_reconfig_busy        (tx_reconfig_busy),                                                                                                                                                      //   input,    width = 1,                   .tx_reconfig_busy
		.tx_mgmt_address         (tx_mgmt_address),                                                                                                                                                       //   input,    width = 9,            tx_mgmt.address
		.tx_mgmt_chipselect      (tx_mgmt_chipselect),                                                                                                                                                    //   input,    width = 1,                   .chipselect
		.tx_mgmt_read            (tx_mgmt_read),                                                                                                                                                          //   input,    width = 1,                   .read
		.tx_mgmt_write           (tx_mgmt_write),                                                                                                                                                         //   input,    width = 1,                   .write
		.tx_mgmt_writedata       (tx_mgmt_writedata),                                                                                                                                                     //   input,   width = 32,                   .writedata
		.tx_mgmt_readdata        (tx_mgmt_readdata),                                                                                                                                                      //  output,   width = 32,                   .readdata
		.tx_mgmt_waitrequest     (tx_mgmt_waitrequest),                                                                                                                                                   //  output,    width = 1,                   .waitrequest
		.tx_mgmt_irq             (tx_mgmt_irq),                                                                                                                                                           //  output,    width = 1,  tx_mgmt_interrupt.irq
		.rx_analog_reconfig_req  (rx_analog_reconfig_req),                                                                                                                                                //  output,    width = 1, rx_analog_reconfig.rx_analog_reconfig_req
		.rx_vod                  (rx_vod),                                                                                                                                                                //  output,    width = 8,                   .rx_vod
		.rx_emp                  (rx_emp),                                                                                                                                                                //  output,    width = 8,                   .rx_emp
		.clk                     (clk),                                                                                                                                                                   //   input,    width = 1,                clk.clk
		.reset                   (reset),                                                                                                                                                                 //   input,    width = 1,              reset.reset
		.aux_clk                 (aux_clk),                                                                                                                                                               //   input,    width = 1,            aux_clk.clk
		.aux_reset               (aux_reset),                                                                                                                                                             //   input,    width = 1,          aux_reset.reset
		.xcvr_mgmt_clk           (xcvr_mgmt_clk),                                                                                                                                                         //   input,    width = 1,      xcvr_mgmt_clk.clk
		.clk_cal                 (clk_cal),                                                                                                                                                               //   input,    width = 1,            clk_cal.clk
		.tx_clk_gtc              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_gtc_value            (32'b00000000000000000000000000000000),                                                                                                                                  // (terminated),                                  
		.tx_gtc_fce              (),                                                                                                                                                                      // (terminated),                                  
		.tx_gtc_remote           (),                                                                                                                                                                      // (terminated),                                  
		.tx_gtc_update           (),                                                                                                                                                                      // (terminated),                                  
		.tx1_vid_clk             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_vid_clk             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_vid_clk             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_vid_data            (24'b000000000000000000000000),                                                                                                                                          // (terminated),                                  
		.tx1_vid_v_sync          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_vid_h_sync          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_vid_de              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_vid_data            (24'b000000000000000000000000),                                                                                                                                          // (terminated),                                  
		.tx2_vid_v_sync          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_vid_h_sync          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_vid_de              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_vid_data            (24'b000000000000000000000000),                                                                                                                                          // (terminated),                                  
		.tx3_vid_v_sync          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_vid_h_sync          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_vid_de              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_clk               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_clk              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_clk              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_clk              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_sol               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_eol               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_sof               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_eof               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_locked            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_interlace         (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_field             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_im_full              (),                                                                                                                                                                      // (terminated),                                  
		.tx_im_afull             (),                                                                                                                                                                      // (terminated),                                  
		.tx_im_aempty            (),                                                                                                                                                                      // (terminated),                                  
		.tx_im_empty             (),                                                                                                                                                                      // (terminated),                                  
		.tx_im_data              (24'b000000000000000000000000),                                                                                                                                          // (terminated),                                  
		.tx_im_valid             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_sol              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_eol              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_sof              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_eof              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_locked           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_interlace        (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_field            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_im_full             (),                                                                                                                                                                      // (terminated),                                  
		.tx1_im_afull            (),                                                                                                                                                                      // (terminated),                                  
		.tx1_im_aempty           (),                                                                                                                                                                      // (terminated),                                  
		.tx1_im_empty            (),                                                                                                                                                                      // (terminated),                                  
		.tx1_im_data             (24'b000000000000000000000000),                                                                                                                                          // (terminated),                                  
		.tx1_im_valid            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_sol              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_eol              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_sof              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_eof              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_locked           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_interlace        (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_field            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_im_full             (),                                                                                                                                                                      // (terminated),                                  
		.tx2_im_afull            (),                                                                                                                                                                      // (terminated),                                  
		.tx2_im_aempty           (),                                                                                                                                                                      // (terminated),                                  
		.tx2_im_empty            (),                                                                                                                                                                      // (terminated),                                  
		.tx2_im_data             (24'b000000000000000000000000),                                                                                                                                          // (terminated),                                  
		.tx2_im_valid            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_sol              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_eol              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_sof              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_eof              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_locked           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_interlace        (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_field            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_im_full             (),                                                                                                                                                                      // (terminated),                                  
		.tx3_im_afull            (),                                                                                                                                                                      // (terminated),                                  
		.tx3_im_aempty           (),                                                                                                                                                                      // (terminated),                                  
		.tx3_im_empty            (),                                                                                                                                                                      // (terminated),                                  
		.tx3_im_data             (24'b000000000000000000000000),                                                                                                                                          // (terminated),                                  
		.tx3_im_valid            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_ss_ready             (),                                                                                                                                                                      // (terminated),                                  
		.tx_ss_valid             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_ss_data              (128'b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000),                                 // (terminated),                                  
		.tx_ss_sop               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_ss_eop               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_ss_ready            (),                                                                                                                                                                      // (terminated),                                  
		.tx1_ss_valid            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_ss_data             (128'b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000),                                 // (terminated),                                  
		.tx1_ss_sop              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_ss_eop              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_ss_ready            (),                                                                                                                                                                      // (terminated),                                  
		.tx2_ss_valid            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_ss_data             (128'b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000),                                 // (terminated),                                  
		.tx2_ss_sop              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_ss_eop              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_ss_ready            (),                                                                                                                                                                      // (terminated),                                  
		.tx3_ss_valid            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_ss_data             (128'b00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000),                                 // (terminated),                                  
		.tx3_ss_sop              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_ss_eop              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_ss_clk               (),                                                                                                                                                                      // (terminated),                                  
		.tx_audio_clk            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_audio_clk           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_audio_clk           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_audio_clk           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_audio_valid          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_audio_mute           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx_audio_lpcm_data      (64'b0000000000000000000000000000000000000000000000000000000000000000),                                                                                                  // (terminated),                                  
		.tx1_audio_valid         (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_audio_mute          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx1_audio_lpcm_data     (64'b0000000000000000000000000000000000000000000000000000000000000000),                                                                                                  // (terminated),                                  
		.tx2_audio_valid         (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_audio_mute          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx2_audio_lpcm_data     (64'b0000000000000000000000000000000000000000000000000000000000000000),                                                                                                  // (terminated),                                  
		.tx3_audio_valid         (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_audio_mute          (1'b0),                                                                                                                                                                  // (terminated),                                  
		.tx3_audio_lpcm_data     (64'b0000000000000000000000000000000000000000000000000000000000000000),                                                                                                  // (terminated),                                  
		.rx_parallel_data        (160'b0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000), // (terminated),                                  
		.rx_std_clkout           (4'b0000),                                                                                                                                                               // (terminated),                                  
		.rx_is_lockedtoref       (4'b0000),                                                                                                                                                               // (terminated),                                  
		.rx_is_lockedtodata      (4'b0000),                                                                                                                                                               // (terminated),                                  
		.rx_restart              (),                                                                                                                                                                      // (terminated),                                  
		.rx_bitslip              (),                                                                                                                                                                      // (terminated),                                  
		.rx_cal_busy             (4'b0000),                                                                                                                                                               // (terminated),                                  
		.rx_analogreset          (),                                                                                                                                                                      // (terminated),                                  
		.rx_digitalreset         (),                                                                                                                                                                      // (terminated),                                  
		.rx_set_locktoref        (),                                                                                                                                                                      // (terminated),                                  
		.rx_set_locktodata       (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_in               (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_aux_out              (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_oe               (),                                                                                                                                                                      // (terminated),                                  
		.rx_hpd                  (),                                                                                                                                                                      // (terminated),                                  
		.rx_cable_detect         (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_pwr_detect           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_lane_count           (),                                                                                                                                                                      // (terminated),                                  
		.rx_clk_gtc              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_gtc_value            (32'b00000000000000000000000000000000),                                                                                                                                  // (terminated),                                  
		.rx_gtc_fce              (),                                                                                                                                                                      // (terminated),                                  
		.rx_gtc_remote           (),                                                                                                                                                                      // (terminated),                                  
		.rx_gtc_update           (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_sol              (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_eol              (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_sof              (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_eof              (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_locked           (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_interlace        (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_field            (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_overflow         (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_data             (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_valid            (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_sol             (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_eol             (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_sof             (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_eof             (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_locked          (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_interlace       (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_field           (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_overflow        (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_data            (),                                                                                                                                                                      // (terminated),                                  
		.rx1_vid_valid           (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_sol             (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_eol             (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_sof             (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_eof             (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_locked          (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_interlace       (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_field           (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_overflow        (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_data            (),                                                                                                                                                                      // (terminated),                                  
		.rx2_vid_valid           (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_sol             (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_eol             (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_sof             (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_eof             (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_locked          (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_interlace       (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_field           (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_overflow        (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_data            (),                                                                                                                                                                      // (terminated),                                  
		.rx3_vid_valid           (),                                                                                                                                                                      // (terminated),                                  
		.rx_vid_clk              (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx1_vid_clk             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx2_vid_clk             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx3_vid_clk             (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_stream_valid         (),                                                                                                                                                                      // (terminated),                                  
		.rx_stream_clk           (),                                                                                                                                                                      // (terminated),                                  
		.rx_stream_data          (),                                                                                                                                                                      // (terminated),                                  
		.rx_stream_ctrl          (),                                                                                                                                                                      // (terminated),                                  
		.rx1_stream_valid        (),                                                                                                                                                                      // (terminated),                                  
		.rx1_stream_clk          (),                                                                                                                                                                      // (terminated),                                  
		.rx1_stream_data         (),                                                                                                                                                                      // (terminated),                                  
		.rx1_stream_ctrl         (),                                                                                                                                                                      // (terminated),                                  
		.rx2_stream_valid        (),                                                                                                                                                                      // (terminated),                                  
		.rx2_stream_clk          (),                                                                                                                                                                      // (terminated),                                  
		.rx2_stream_data         (),                                                                                                                                                                      // (terminated),                                  
		.rx2_stream_ctrl         (),                                                                                                                                                                      // (terminated),                                  
		.rx3_stream_valid        (),                                                                                                                                                                      // (terminated),                                  
		.rx3_stream_clk          (),                                                                                                                                                                      // (terminated),                                  
		.rx3_stream_data         (),                                                                                                                                                                      // (terminated),                                  
		.rx3_stream_ctrl         (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_debug_data       (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_debug_valid      (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_debug_sop        (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_debug_eop        (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_debug_err        (),                                                                                                                                                                      // (terminated),                                  
		.rx_aux_debug_cha        (),                                                                                                                                                                      // (terminated),                                  
		.rx_ss_valid             (),                                                                                                                                                                      // (terminated),                                  
		.rx_ss_data              (),                                                                                                                                                                      // (terminated),                                  
		.rx_ss_sop               (),                                                                                                                                                                      // (terminated),                                  
		.rx_ss_eop               (),                                                                                                                                                                      // (terminated),                                  
		.rx1_ss_valid            (),                                                                                                                                                                      // (terminated),                                  
		.rx1_ss_data             (),                                                                                                                                                                      // (terminated),                                  
		.rx1_ss_sop              (),                                                                                                                                                                      // (terminated),                                  
		.rx1_ss_eop              (),                                                                                                                                                                      // (terminated),                                  
		.rx2_ss_valid            (),                                                                                                                                                                      // (terminated),                                  
		.rx2_ss_data             (),                                                                                                                                                                      // (terminated),                                  
		.rx2_ss_sop              (),                                                                                                                                                                      // (terminated),                                  
		.rx2_ss_eop              (),                                                                                                                                                                      // (terminated),                                  
		.rx3_ss_valid            (),                                                                                                                                                                      // (terminated),                                  
		.rx3_ss_data             (),                                                                                                                                                                      // (terminated),                                  
		.rx3_ss_sop              (),                                                                                                                                                                      // (terminated),                                  
		.rx3_ss_eop              (),                                                                                                                                                                      // (terminated),                                  
		.rx_ss_clk               (),                                                                                                                                                                      // (terminated),                                  
		.rx_msa                  (),                                                                                                                                                                      // (terminated),                                  
		.rx1_msa                 (),                                                                                                                                                                      // (terminated),                                  
		.rx2_msa                 (),                                                                                                                                                                      // (terminated),                                  
		.rx3_msa                 (),                                                                                                                                                                      // (terminated),                                  
		.rx_audio_valid          (),                                                                                                                                                                      // (terminated),                                  
		.rx_audio_mute           (),                                                                                                                                                                      // (terminated),                                  
		.rx_audio_infoframe      (),                                                                                                                                                                      // (terminated),                                  
		.rx_audio_lpcm_data      (),                                                                                                                                                                      // (terminated),                                  
		.rx1_audio_valid         (),                                                                                                                                                                      // (terminated),                                  
		.rx1_audio_mute          (),                                                                                                                                                                      // (terminated),                                  
		.rx1_audio_infoframe     (),                                                                                                                                                                      // (terminated),                                  
		.rx1_audio_lpcm_data     (),                                                                                                                                                                      // (terminated),                                  
		.rx2_audio_valid         (),                                                                                                                                                                      // (terminated),                                  
		.rx2_audio_mute          (),                                                                                                                                                                      // (terminated),                                  
		.rx2_audio_infoframe     (),                                                                                                                                                                      // (terminated),                                  
		.rx2_audio_lpcm_data     (),                                                                                                                                                                      // (terminated),                                  
		.rx3_audio_valid         (),                                                                                                                                                                      // (terminated),                                  
		.rx3_audio_mute          (),                                                                                                                                                                      // (terminated),                                  
		.rx3_audio_infoframe     (),                                                                                                                                                                      // (terminated),                                  
		.rx3_audio_lpcm_data     (),                                                                                                                                                                      // (terminated),                                  
		.rx_edid_address         (),                                                                                                                                                                      // (terminated),                                  
		.rx_edid_readdata        (8'b00000000),                                                                                                                                                           // (terminated),                                  
		.rx_edid_writedata       (),                                                                                                                                                                      // (terminated),                                  
		.rx_edid_read            (),                                                                                                                                                                      // (terminated),                                  
		.rx_edid_write           (),                                                                                                                                                                      // (terminated),                                  
		.rx_edid_waitrequest     (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_link_rate            (),                                                                                                                                                                      // (terminated),                                  
		.rx_link_rate_8bits      (),                                                                                                                                                                      // (terminated),                                  
		.rx_reconfig_req         (),                                                                                                                                                                      // (terminated),                                  
		.rx_reconfig_ack         (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_reconfig_busy        (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_mgmt_chipselect      (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_mgmt_read            (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_mgmt_write           (1'b0),                                                                                                                                                                  // (terminated),                                  
		.rx_mgmt_address         (9'b000000000),                                                                                                                                                          // (terminated),                                  
		.rx_mgmt_writedata       (32'b00000000000000000000000000000000),                                                                                                                                  // (terminated),                                  
		.rx_mgmt_readdata        (),                                                                                                                                                                      // (terminated),                                  
		.rx_mgmt_waitrequest     (),                                                                                                                                                                      // (terminated),                                  
		.rx_mgmt_irq             ()                                                                                                                                                                       // (terminated),                                  
	);

endmodule
