module subsys_dp_frame_buf (
		input  wire [3:0]   control_address,             //           control.address
		input  wire [3:0]   control_byteenable,          //                  .byteenable
		input  wire         control_write,               //                  .write
		input  wire [31:0]  control_writedata,           //                  .writedata
		input  wire         control_read,                //                  .read
		output wire [31:0]  control_readdata,            //                  .readdata
		output wire         control_readdatavalid,       //                  .readdatavalid
		output wire         control_waitrequest,         //                  .waitrequest
		output wire         control_interrupt_irq,       // control_interrupt.irq
		output wire [31:0]  dout_data,                   //              dout.data
		output wire         dout_valid,                  //                  .valid
		output wire         dout_startofpacket,          //                  .startofpacket
		output wire         dout_endofpacket,            //                  .endofpacket
		input  wire         dout_ready,                  //                  .ready
		input  wire         main_clock,                  //        main_clock.clk
		input  wire         main_reset,                  //        main_reset.reset
		output wire [31:0]  mem_master_rd_address,       //     mem_master_rd.address
		output wire [6:0]   mem_master_rd_burstcount,    //                  .burstcount
		input  wire         mem_master_rd_waitrequest,   //                  .waitrequest
		output wire         mem_master_rd_read,          //                  .read
		input  wire [127:0] mem_master_rd_readdata,      //                  .readdata
		input  wire         mem_master_rd_readdatavalid  //                  .readdatavalid
	);
endmodule

